
#include "gpio.h"


void gpioInit(void)
{
	nrf_gpio_cfg_output(17);		// LEDs
	nrf_gpio_pin_clear(17);		// 0
	nrf_gpio_cfg_output(18);
	nrf_gpio_pin_clear(18);
	nrf_gpio_cfg_output(19);
	nrf_gpio_pin_clear(19);
	nrf_gpio_cfg_output(29);
	nrf_gpio_pin_clear(29);
	nrf_gpio_cfg_output(28);
	nrf_gpio_pin_clear(28);
	
	nrf_gpio_cfg_output(25);	// RGB LED
	nrf_gpio_pin_set(25);			// 1 (negative)
	nrf_gpio_cfg_output(26);
	nrf_gpio_pin_set(26);
	nrf_gpio_cfg_output(27);
	nrf_gpio_pin_set(27);
	
	nrf_gpio_pin_clear(8);		// pulse LEDs
	nrf_gpio_cfg_output(8);		// 0
	nrf_gpio_pin_clear(9);
	nrf_gpio_cfg_output(9);
	nrf_gpio_pin_clear(10);
	nrf_gpio_cfg_output(10);
	
	nrf_gpio_cfg_output(7);		// VIBRO
	nrf_gpio_pin_clear(7);		// 0
	
	nrf_gpio_cfg_output(16);	// BUZZER
	nrf_gpio_pin_clear(16);		// 0
	
	nrf_gpio_cfg_output(13);	// AMP_ON
	nrf_gpio_pin_set(13);			// 1 (negative)
	
	nrf_gpio_cfg_output(6);		// POWER_5V_ON
	nrf_gpio_pin_clear(6);		// 0
	
	nrf_gpio_cfg_input(12,NRF_GPIO_PIN_NOPULL);		// But2 - Power (main button)
	nrf_gpio_cfg_input(11,NRF_GPIO_PIN_NOPULL);		// But1 - Bootloader	
	nrf_gpio_cfg_input(4,NRF_GPIO_PIN_NOPULL);		// battery charging state
	nrf_gpio_cfg_input(3,NRF_GPIO_PIN_NOPULL);		// battery level
	nrf_gpio_cfg_input(2,NRF_GPIO_PIN_NOPULL);		// analog input
}
